# $Revision: 1.14 $, $Date: 2007/01/16 15:22:24 $
Summary:	A package providing fake packages for VServer guest system
Summary(pl):	Pakiet udostpniajcy faszywe pakiety dla systemu gocinnego VServera
Name:		vserver-packages
Version:	1
Release:	7
License:	GPL
Group:		Base
# Do not put Obsoletes for all of the packages -- allows installing of the real package
Provides:	dev = 2.9.0-19
Provides:	fsck
Provides:	iproute2
# don't provide this one since syslog-ng would obsolete whole package
# Provides:	klogd
Provides:	login
Provides:	lvm2
Provides:	mingetty
Provides:	module-init-tools
Provides:	mount = 2.12
Provides:	udev
Obsoletes:	devfs
Obsoletes:	klogd
Obsoletes:	lvm
Obsoletes:	lvm2
Obsoletes:	mingetty
Obsoletes:	module-init-tools
Obsoletes:	modutils
Obsoletes:	udev
Obsoletes:	vserver-SysVinit
Obsoletes:	vserver-basesystem
Obsoletes:	vserver-dev
Obsoletes:	vserver-rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A package providing a fake packages to allow removal of useless
packages inside VPS.

%description -l pl
Pakiet dostarczajcy faszywe pakiety, aby umoliwi usunicie
bezuytecznych pakietw z VPS-a.

%prep

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vserver-packages.spec,v $
Revision 1.14  2007/01/16 15:22:24  glen
- current rc-scripts requires progs from SysVinit; rel 7

Revision 1.13  2006/11/07 06:26:23  glen
- no need to Provide lvm, rel 6

Revision 1.12  2006/06/10 12:01:09  arekm
- rel 4; don't provide klogd

Revision 1.11  2006/03/22 16:00:47  baggins
- release 4

Revision 1.10  2006/03/03 09:36:57  glen
- obsolete modutils, vserver-SysVinit

Revision 1.9  2006/03/01 21:03:43  glen
- obsolete vserver-basesystem and vserver-rc-scripts packages

Revision 1.8  2006/03/01 20:40:33  glen
- updated deps, rel 2

Revision 1.7  2006/02/27 17:55:15  glen
- what kernel? no non-kernel package should require kernel package

Revision 1.6  2006/02/27 17:54:01  glen
- cleanups, rel 2

Revision 1.5  2006/02/27 17:52:37  glen
- SysVinit is optional

Revision 1.4  2006/01/27 19:29:20  qboosh
- pl

Revision 1.3  2006/01/27 19:02:24  glen
- fake klogd

Revision 1.2  2006/01/24 19:55:25  glen
- some corrections

Revision 1.1  2006/01/24 19:04:06  baggins
- initial revision
